### Please describe the problem.

Building from git fails in Assistant/WebApp/Gpg.hs

### What steps will reproduce the problem?

Follow instructions at <http://git-annex.branchable.com/install/cabal/> for building from git:

[[!format sh """
cabal update
PATH=$HOME/bin:$PATH
cabal install c2hs --bindir=$HOME/bin
cabal install --only-dependencies
cabal configure
cabal build
"""]]

### What version of git-annex are you using? On what operating system?

git master (7da58f3ebf8), openSUSE 12.3

### Please provide any additional information below.

[[!format txt """
# If you can, paste a complete transcript of the problem occurring here.
# If the problem is with the git-annex assistant, paste in .git/annex/daemon.log

Assistant/WebApp/Configurators/Fsck.hs:69:35:
    Warning: This binding for `u' shadows the existing binding
               bound at Assistant/WebApp/Configurators/Fsck.hs:60:17

Assistant/WebApp/Configurators/Fsck.hs:126:11:
    Warning: This binding for `check' shadows the existing binding
               imported from `Assistant.WebApp.Common' at Assistant/WebApp/Configurators/Fsck.hs:16:1
-30
               (and originally defined in `Yesod.Form.Functions')
[322 of 371] Compiling Assistant.TransferQueue ( Assistant/TransferQueue.hs, dist/build/git-annex/git
-annex-tmp/Assistant/TransferQueue.o )
[323 of 371] Compiling Assistant.Threads.Glacier ( Assistant/Threads/Glacier.hs, dist/build/git-annex
/git-annex-tmp/Assistant/Threads/Glacier.o )
[324 of 371] Compiling Assistant.Threads.Merger ( Assistant/Threads/Merger.hs, dist/build/git-annex/g
it-annex-tmp/Assistant/Threads/Merger.o )
[325 of 371] Compiling Assistant.Threads.Cronner ( Assistant/Threads/Cronner.hs, dist/build/git-annex
/git-annex-tmp/Assistant/Threads/Cronner.o )
[326 of 371] Compiling Assistant.MakeRemote ( Assistant/MakeRemote.hs, dist/build/git-annex/git-annex
-tmp/Assistant/MakeRemote.o )
[327 of 371] Compiling Assistant.WebApp.Gpg ( Assistant/WebApp/Gpg.hs, dist/build/git-annex/git-annex
-tmp/Assistant/WebApp/Gpg.o )

Assistant/WebApp/Gpg.hs:88:40:
    Not in scope: type constructor or class `MonadIO'
    Perhaps you meant `Monad' (imported from Assistant.WebApp.Common)

# End of transcript or log.
"""]]

> [[fixed|done]] --[[Joey]]
